- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::Geometry::ArrayData Struct Reference

List of all members.

## Public Member Functions
| ArrayData ()
| ArrayData (const ArrayData &data, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| ArrayData (Array *a, AttributeBinding b, GLboolean n=GL_FALSE)
| ArrayData (Array *a, IndexArray *i, AttributeBinding b, GLboolean n=GL_FALSE)
ArrayData & | operator= (const ArrayData &rhs)
bool | empty () const
## Public Attributes
ref_ptr< Array > | array
ref_ptr< IndexArray > | indices
AttributeBinding | binding
GLboolean | normalize
unsigned int | offset

## Constructor & Destructor Documentation

osg::Geometry::ArrayData::ArrayData | ( |  | ) | `[inline]`

Geometry::ArrayData::ArrayData | ( | const ArrayData & | data,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) |

osg::Geometry::ArrayData::ArrayData | ( | Array * | a,
|  | AttributeBinding | b,
|  | GLboolean | n = `GL_FALSE`
| ) | `[inline]`

osg::Geometry::ArrayData::ArrayData | ( | Array * | a,
|  | IndexArray * | i,
|  | AttributeBinding | b,
|  | GLboolean | n = `GL_FALSE`
| ) | `[inline]`

## Member Function Documentation

bool osg::Geometry::ArrayData::empty | ( |  | ) | const`[inline]`

ArrayData& osg::Geometry::ArrayData::operator= | ( | const ArrayData & | rhs | ) | `[inline]`

## Member Data Documentation

ref_ptr<Array> osg::Geometry::ArrayData::array

AttributeBinding osg::Geometry::ArrayData::binding

ref_ptr<IndexArray> osg::Geometry::ArrayData::indices

GLboolean osg::Geometry::ArrayData::normalize

unsigned int osg::Geometry::ArrayData::offset`[mutable]`

The documentation for this struct was generated from the following files:

- Geometry
- Geometry.cpp